libzypp: zypp::UserDataJobReport Class Reference

libzypp 17.38.8

zypp::UserDataJobReport Class Reference

JobReport convenience sending this instance of UserData with each message. More...

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::UserDataJobReport:

## Public Member Functions
bool | debug (const std::string &msg_r)
bool | info (const std::string &msg_r)
bool | warning (const std::string &msg_r)
bool | error (const std::string &msg_r)
bool | important (const std::string &msg_r)
bool | data (const std::string &msg_r)
| UserData ()
| Default ctor.
| UserData (ContentType type_r)
| Ctor taking ContentType.
| UserData (std::string type_r)
| Ctor taking ContentType.
| UserData (std::string type_r, std::string subtype_r)
| Ctor taking ContentType.
Public Member Functions inherited from zypp::callback::UserData
| UserData ()
| Default ctor.
| UserData (ContentType type_r)
| Ctor taking ContentType.
| UserData (std::string type_r)
| Ctor taking ContentType.
| UserData (std::string type_r, std::string subtype_r)
| Ctor taking ContentType.
const ContentType & | type () const
| Get type.
void | type (ContentType type_r)
| Set type.
| operator bool () const
| Validate object in a boolean context: has data.
bool | empty () const
| Whether data is empty.
size_type | size () const
| Size of data.
const DataType & | data () const
| The data.
bool | haskey (const std::string &key_r) const
| Whether key_r is in data.
bool | hasvalue (const std::string &key_r) const
| Whether key_r is in data and value is not empty.
bool | set (const std::string &key_r, AnyType val_r)
| Set the value for key (nonconst version always returns true).
bool | set (const std::string &key_r, AnyType val_r) const
bool | reset (const std::string &key_r)
| Set an empty value for key_r (if possible).
bool | reset (const std::string &key_r) const
void | erase (const std::string &key_r)
| Remove key from data.
const AnyType & | getvalue (const std::string &key_r) const
| get helper returning the keys AnyType value or an empty value if key does not exist.
template<class Tp>
const Tp & | get (const std::string &key_r) const
| Pass back a const Tp & reference to key_r value.
template<class Tp>
Tp | get (const std::string &key_r, const Tp &default_r) const
| Pass back a Tp copy of key_r value.
template<class Tp>
bool | get (const std::string &key_r, Tp &ret_r) const
| If the value for key_r is of the same type as ret_r, pass it back in ret_r and return `true`;.

## Additional Inherited Members
Public Types inherited from zypp::callback::UserData
typedef boost::any | AnyType
typedef boost::bad_any_cast | bad_AnyType_cast
typedef std::map< std::string, AnyType > | DataType
typedef DataType::size_type | size_type
typedef DataType::key_type | key_type
typedef DataType::value_type | value_type
typedef DataType::const_iterator | const_iterator
typedef zypp::ContentType | ContentType

## Detailed Description

JobReport convenience sending this instance of UserData with each message.

Definition at line 1124 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ debug()

bool zypp::UserDataJobReport::debug | ( | const std::string & | msg_r | ) |
| inline

Definition at line 1128 of file ZYppCallbacks.h.

## ◆ info()

bool zypp::UserDataJobReport::info | ( | const std::string & | msg_r | ) |
| inline

Definition at line 1129 of file ZYppCallbacks.h.

## ◆ warning()

bool zypp::UserDataJobReport::warning | ( | const std::string & | msg_r | ) |
| inline

Definition at line 1130 of file ZYppCallbacks.h.

## ◆ error()

bool zypp::UserDataJobReport::error | ( | const std::string & | msg_r | ) |
| inline

Definition at line 1131 of file ZYppCallbacks.h.

## ◆ important()

bool zypp::UserDataJobReport::important | ( | const std::string & | msg_r | ) |
| inline

Definition at line 1132 of file ZYppCallbacks.h.

## ◆ data()

bool zypp::UserDataJobReport::data | ( | const std::string & | msg_r | ) |
| inline

Definition at line 1133 of file ZYppCallbacks.h.

## ◆ UserData() [1/4]

zypp::callback::UserData::UserData | ( |  | ) |
| inline

Default ctor.

Definition at line 55 of file UserData.h.

## ◆ UserData() [2/4]

zypp::callback::UserData::UserData | ( | ContentType | type_r | ) |
| inlineexplicit

Ctor taking ContentType.

Definition at line 59 of file UserData.h.

## ◆ UserData() [3/4]

zypp::callback::UserData::UserData | ( | std::string | type_r | ) |
| inlineexplicit

Ctor taking ContentType.

Definition at line 63 of file UserData.h.

## ◆ UserData() [4/4]

zypp::callback::UserData::UserData | ( | std::string | type_r,
|  | std::string | subtype_r )
| inline

Ctor taking ContentType.

Definition at line 67 of file UserData.h.

The documentation for this class was generated from the following file:

- zypp/ZYppCallbacks.h